<?php
/**
 * Paymnet Gateway SpryPay for SocialEngine 4
 *
 * @category   Application_Core
 * @package    Payment
 * @version    1.0
 * @author     sprypay.ru
 */

class Payment_Form_Admin_Gateway_Sprypay extends Payment_Form_Admin_Gateway_Abstract
{
  public function init()
  {
    parent::init();

    $this->setTitle('Payment Gateway: Sprypay');

    $description = '';
    $this->setDescription($description);

    // Decorators
    $this->loadDefaultDecorators();
    $this->getDecorator('Description')->setOption('escape', false);


    // Elements

    $this->addElement('Text', 'shop_id', array(
      'label' => 'Shop Id',
      'filters' => array(
        new Zend_Filter_StringTrim(),
      ),
    ));

    $this->addElement('Text', 'secret_key', array(
      'label' => 'Secret Key',
      'filters' => array(
        new Zend_Filter_StringTrim(),
      ),
    ));
  }
}